Source: golang-github-kardianos-service
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Eric Dorland <eric@debian.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-golang,
 golang-any,
Standards-Version: 4.7.0
Homepage: https://github.com/kardianos/service
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-kardianos-service
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-kardianos-service.git
XS-Go-Import-Path: github.com/kardianos/service
Testsuite: autopkgtest-pkg-go

Package: golang-github-kardianos-service-dev
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: run Go programs as a service on major platforms
 Service will install / un-install, start / stop, and run a program as a
 service (daemon). Currently supports:
 .
  * Windows XP+,
  * Linux with systemd, Upstart, SysV, and
  * OSX with launchd.
 .
 Windows controls services by setting up callbacks that are non-trivial. This
 is very different than other systems. This package provides the same API
 despite the substantial differences. It also can be used to detect how a
 program is called, from an interactive terminal or from a service manager.
